Perl Modules FOr Cricket

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Perl Modules FOr Cricket

Kevin Fenn
Hi

So far i have installed perl from scratch because it was screwed
instaled the rrdtool and now i'm having trouble with crciket.  I have
managed to install these perl mobules -

MD5
LWP
Date::Pharse
SNMP_Session

How ever now matter what i do i can't get the following modules to
install:

Time::HiRes
DB_File

All i get for these modules when i try to install them is the following
error statment:

/u/kfenn/bin/perl -I/u/kfenn/bin/lib/perl5/5.00503/sun4-solaris
-I/u/kfenn/bin/lib/perl5/5.00503
/u/kfenn/bin/lib/perl5/5.00503/ExtUtils/xsubpp  -nolinenumbers -typemap
/u/kfenn/bin/lib/perl5/5.00503/ExtUtils/typemap HiRes.xs >xstmp.c && mv
xstmp.c HiRes.c
cc -c   -O     -DVERSION=\"01.20\"  -DXS_VERSION=\"01.20\" -KPIC
-I/u/kfenn/bin/lib/perl5/5.00503/sun4-solaris/CORE -DATLEASTFIVEOHOHFIVE
HiRes.c
/usr/ucb/cc:  language optional software package not installed
*** Error code 1
make: Fatal error: Command failed for target `HiRes.o'

Does trhis affect the cricket compile command? Because i have tried to
compile the cricket app so that i can run the collector and it produces
the folowing errors :

whars05q(kfenn)15: compile
Can't locate BER.pm in @INC (@INC contains: ././lib
/vol/perl5/sun4_5.5.1/lib/perl5/sun4-solaris/5.00404
/vol/perl5/sun4_5.5.1/lib/perl5
/vol/perl5/sun4_5.5.1/lib/perlwww/sun4-solaris
/vol/perl5/sun4_5.5.1/lib/perlwww
/vol/perl5/sun4_5.5.1/lib/perl5/sun4-solaris .) at ./lib/snmpUtils.pm
line 8.
BEGIN failed--compilation aborted at ./lib/snmpUtils.pm line 8.
BEGIN failed--compilation aborted at ./lib/Common/Map.pm line 23.
BEGIN failed--compilation aborted at compile line 32.

I am out of ideas and i need help.  Thanks.

I'm running solaris 2.6 on a SPARC 10

Cheers

--
* To unsubscribe from the rrd-users mailing list, send a message with the
  subject: unsubscribe to [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Perl Modules FOr Cricket

Tobias Oetiker
Today you sent me mail regarding [rrd-users] Perl Modules FOr Cricket:

*> Hi
*>
*> So far i have installed perl from scratch because it was screwed
*> instaled the rrdtool and now i'm having trouble with crciket.  I have
*> managed to install these perl mobules -
*>
*> MD5
*> LWP
*> Date::Pharse
*> SNMP_Session
*>
*> How ever now matter what i do i can't get the following modules to
*> install:
*>
*> Time::HiRes
*> DB_File
*>
*> All i get for these modules when i try to install them is the following
*> error statment:

try

make CC=gcc

cheers
tobi
*>
*> /u/kfenn/bin/perl -I/u/kfenn/bin/lib/perl5/5.00503/sun4-solaris
*> -I/u/kfenn/bin/lib/perl5/5.00503
*> /u/kfenn/bin/lib/perl5/5.00503/ExtUtils/xsubpp  -nolinenumbers -typemap
*> /u/kfenn/bin/lib/perl5/5.00503/ExtUtils/typemap HiRes.xs >xstmp.c && mv
*> xstmp.c HiRes.c
*> cc -c   -O     -DVERSION=\"01.20\"  -DXS_VERSION=\"01.20\" -KPIC
*> -I/u/kfenn/bin/lib/perl5/5.00503/sun4-solaris/CORE -DATLEASTFIVEOHOHFIVE
*> HiRes.c
*> /usr/ucb/cc:  language optional software package not installed
*> *** Error code 1
*> make: Fatal error: Command failed for target `HiRes.o'
*>
*> Does trhis affect the cricket compile command? Because i have tried to
*> compile the cricket app so that i can run the collector and it produces
*> the folowing errors :
*>
*> whars05q(kfenn)15: compile
*> Can't locate BER.pm in @INC (@INC contains: ././lib
*> /vol/perl5/sun4_5.5.1/lib/perl5/sun4-solaris/5.00404
*> /vol/perl5/sun4_5.5.1/lib/perl5
*> /vol/perl5/sun4_5.5.1/lib/perlwww/sun4-solaris
*> /vol/perl5/sun4_5.5.1/lib/perlwww
*> /vol/perl5/sun4_5.5.1/lib/perl5/sun4-solaris .) at ./lib/snmpUtils.pm
*> line 8.
*> BEGIN failed--compilation aborted at ./lib/snmpUtils.pm line 8.
*> BEGIN failed--compilation aborted at ./lib/Common/Map.pm line 23.
*> BEGIN failed--compilation aborted at compile line 32.
*>
*> I am out of ideas and i need help.  Thanks.
*>
*> I'm running solaris 2.6 on a SPARC 10
*>
*> Cheers
*>
*> --
*> * To unsubscribe from the rrd-users mailing list, send a message with the
*>   subject: unsubscribe to [hidden email]
*>
*>

--
 ______    __   _
/_  __/_  / /  (_) Oetiker, Timelord & SysMgr @ EE-Dept ETH-Zurich
 / // _ \/ _ \/ / TEL: +41(0)1-6325286  FAX:...1517  ICQ: 10419518
/_/ \.__/_.__/_/ [hidden email] http://ee-staff.ethz.ch/~oetiker

--
* To unsubscribe from the rrd-users mailing list, send a message with the
  subject: unsubscribe to [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Perl Modules FOr Cricket

Blair Zajac
In reply to this post by Kevin Fenn
>From your make output, it appears you are using /usr/ucb/cc.  You
should not even have /usr/ucb in your path, nonetheless use the
cc from that directory.  This will probably cause the problems
you are seeing.

Either make using gcc or install Sun's cc.

Blair

Kevin Fenn wrote:

>
> Hi
>
> So far i have installed perl from scratch because it was screwed
> instaled the rrdtool and now i'm having trouble with crciket.  I have
> managed to install these perl mobules -
>
> MD5
> LWP
> Date::Pharse
> SNMP_Session
>
> How ever now matter what i do i can't get the following modules to
> install:
>
> Time::HiRes
> DB_File
>
> All i get for these modules when i try to install them is the following
> error statment:
>
> /u/kfenn/bin/perl -I/u/kfenn/bin/lib/perl5/5.00503/sun4-solaris
> -I/u/kfenn/bin/lib/perl5/5.00503
> /u/kfenn/bin/lib/perl5/5.00503/ExtUtils/xsubpp  -nolinenumbers -typemap
> /u/kfenn/bin/lib/perl5/5.00503/ExtUtils/typemap HiRes.xs >xstmp.c && mv
> xstmp.c HiRes.c
> cc -c   -O     -DVERSION=\"01.20\"  -DXS_VERSION=\"01.20\" -KPIC
> -I/u/kfenn/bin/lib/perl5/5.00503/sun4-solaris/CORE -DATLEASTFIVEOHOHFIVE
> HiRes.c
> /usr/ucb/cc:  language optional software package not installed
> *** Error code 1
> make: Fatal error: Command failed for target `HiRes.o'
>
> Does trhis affect the cricket compile command? Because i have tried to
> compile the cricket app so that i can run the collector and it produces
> the folowing errors :
>
> whars05q(kfenn)15: compile
> Can't locate BER.pm in @INC (@INC contains: ././lib
> /vol/perl5/sun4_5.5.1/lib/perl5/sun4-solaris/5.00404
> /vol/perl5/sun4_5.5.1/lib/perl5
> /vol/perl5/sun4_5.5.1/lib/perlwww/sun4-solaris
> /vol/perl5/sun4_5.5.1/lib/perlwww
> /vol/perl5/sun4_5.5.1/lib/perl5/sun4-solaris .) at ./lib/snmpUtils.pm
> line 8.
> BEGIN failed--compilation aborted at ./lib/snmpUtils.pm line 8.
> BEGIN failed--compilation aborted at ./lib/Common/Map.pm line 23.
> BEGIN failed--compilation aborted at compile line 32.
>
> I am out of ideas and i need help.  Thanks.
>
> I'm running solaris 2.6 on a SPARC 10
>
> Cheers
>
> --
> * To unsubscribe from the rrd-users mailing list, send a message with the
>   subject: unsubscribe to [hidden email]

bzajac.vcf (311 bytes) Download Attachment